Create Contact Exclusion
Create a new contact-level exclusion.
Requires the contact_exclusions:write scope on the API key.
POST
/
v1
/
contact-exclusions
Create Contact Exclusion
curl --request POST \
--url https://api.topo.io/v1/contact-exclusions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"linkedin_url": "<string>",
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
linkedin_url: '<string>',
message: '<string>',
until: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.topo.io/v1/contact-exclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-exclusions"
payload = {
"email": "<string>",
"linkedin_url": "<string>",
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"linkedin_url": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer API key issued from Settings → Developers.
Body
application/json
Create Contact Exclusion payload
Why the contact is being excluded.
Available options:
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY Email to exclude. At least one of email or linkedin_url is required.
LinkedIn URL to exclude. At least one of email or linkedin_url is required.
Free-form note for operators.
When the exclusion expires. Omit for a permanent exclusion.
Response
201 - application/json
Successful Response
Unique identifier.
Excluded email.
Excluded LinkedIn URL.
Reason for the exclusion.
Available options:
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY Operator note.
When the exclusion expires.
When the exclusion was created.
When the exclusion last changed.
Was this page helpful?
⌘I
Create Contact Exclusion
curl --request POST \
--url https://api.topo.io/v1/contact-exclusions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"linkedin_url": "<string>",
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
linkedin_url: '<string>',
message: '<string>',
until: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.topo.io/v1/contact-exclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-exclusions"
payload = {
"email": "<string>",
"linkedin_url": "<string>",
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"linkedin_url": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}